kdeui Library: KPushButton Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPushButton Class Reference

This is nothing but a QPushButton with drag-support and KGuiItem support. A QPushButton with drag-support and KGuiItem support. More...

`#include <kpushbutton.h>`

Inheritance diagram for KPushButton:

[legend]
Collaboration diagram for KPushButton:

[legend]
List of all members.

## Public Member Functions
| KPushButton (QWidget *parent, const char *name=0)
| KPushButton (const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const QIconSet &icon, const QString &text, QWidget *parent, const char *name=0)
| KPushButton (const KGuiItem &item, QWidget *parent, const char *name=0)
| ~KPushButton ()
void | setDragEnabled (bool enable)
bool | isDragEnabled () const
void | setGuiItem (const KGuiItem &item)
void | setGuiItem (KStdGuiItem::StdItem item)
KStdGuiItem::StdItem | guiItem () const
void | setGuiItm (int itm)
int | guiItm () const
void | setIconSet (const QIconSet &iconSet)
void | setText (const QString &text)
## Protected Member Functions
virtual QDragObject * | dragObject ()
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | startDrag ()
virtual void | virtual_hook (int id, void *data)
## Properties
int | stdItem
bool | isDragEnabled

## Detailed Description

This is nothing but a QPushButton with drag-support and KGuiItem support. A QPushButton with drag-support and KGuiItem support.

You have to call setDragEnabled( true ) and override the virtual method dragObject() to specify the QDragObject to be used.

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 37 of file kpushbutton.h.

## Constructor & Destructor Documentation

KPushButton::KPushButton | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Default constructor. Definition at line 42 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Constructor, that sets the button-text to `text`. Definition at line 49 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const QIconSet & | icon,
|  | const QString & | text,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Constructor, that sets an icon and the button-text to `text`. Definition at line 57 of file kpushbutton.cpp.

KPushButton::KPushButton | ( | const KGuiItem & | item,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| Constructor that takes a KGuiItem for the text, the icon, the tooltip and the what's this help. Definition at line 65 of file kpushbutton.cpp.

KPushButton::~KPushButton | ( |  | ) |

| Destructs the button. Definition at line 73 of file kpushbutton.cpp.

## Member Function Documentation

void KPushButton::setDragEnabled | ( | bool | enable | ) |

| Enables/disables drag-support. Default is disabled. Definition at line 166 of file kpushbutton.cpp.

bool KPushButton::isDragEnabled | ( |  | ) | const`[inline]`

| Returns: if drag support is enabled or not. Definition at line 80 of file kpushbutton.h.

void KPushButton::setGuiItem | ( | const KGuiItem & | item | ) |

| Sets the KGuiItem for this button. Definition at line 117 of file kpushbutton.cpp. References setIconSet(), and QPushButton::setText(). Referenced by KDialogBase::setButtonGuiItem(), and setGuiItem().

void KPushButton::setGuiItem | ( | KStdGuiItem::StdItem | item | ) |

| Sets the standard KGuiItem for this button. Since: 3.4 Definition at line 127 of file kpushbutton.cpp. References setGuiItem().

KStdGuiItem::StdItem KPushButton::guiItem | ( |  | ) | const

| Reads the standard KGuiItem for this button. Since: 3.4 Definition at line 133 of file kpushbutton.cpp.

void KPushButton::setIconSet | ( | const QIconSet & | iconSet | ) |

| Sets the Icon Set for this button. It also takes into account hte KGlobalSettings::showIconsOnPushButtons() setting. Reimplemented from QPushButton. Definition at line 150 of file kpushbutton.cpp. References QPushButton::setIconSet(), and QPushButton::text(). Referenced by setGuiItem(), and setText().

void KPushButton::setText | ( | const QString & | text | ) |

| Sets the text of the button. Reimplemented from QPushButton. Definition at line 138 of file kpushbutton.cpp. References setIconSet(), and QPushButton::setText(). Referenced by KTipDialog::KTipDialog().

QDragObject * KPushButton::dragObject | ( |  | ) | `[protected, virtual]`

| Reimplement this and return the QDragObject that should be used for the drag. Default implementation returns 0L, so that no drag is initiated. Definition at line 195 of file kpushbutton.cpp. Referenced by startDrag().

void KPushButton::mousePressEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

| Reimplemented to add drag-support. Definition at line 171 of file kpushbutton.cpp.

void KPushButton::mouseMoveEvent | ( | QMouseEvent * |  | ) | `[protected, virtual]`

| Reimplemented to add drag-support. Definition at line 178 of file kpushbutton.cpp. References KGlobalSettings::dndEventDelay(), QPushButton::setDown(), and startDrag().

void KPushButton::startDrag | ( |  | ) | `[protected, virtual]`

| Starts a drag (dragCopy() by default) using dragObject(). Definition at line 200 of file kpushbutton.cpp. References QDragObject::dragCopy(), and dragObject(). Referenced by mouseMoveEvent().

The documentation for this class was generated from the following files:

- kpushbutton.h
- kpushbutton.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:57 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003